Summary:	Lightweight, non-caching, optionally anonymizing HTTP proxy
Name:		tinyproxy
Version:	1.6.4
Release:	%mkrel 2
Group:		System/Servers
License:	GPL
URL:		http://tinyproxy.sourceforge.net/
Source0:	http://mesh.dl.sourceforge.net/sourceforge/tinyproxy/tinyproxy-%{version}.tar.gz
Source1:	tinyproxy.init
Patch0:		tinyproxy-makefile.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:	webproxy
Epoch:		0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An anonymizing http proxy which is very light on system resources, ideal for
smaller networks and similar situations where other proxies (such as Squid) may
be overkill and/or a security risk. Tinyproxy can also be configured to
anonymize http requests (allowing for exceptions on a per-header basis).

%prep

%setup -q
%patch0 -p1

cp %{SOURCE1} tinyproxy.init

%build
%serverbuild
autoreconf -fis

%configure2_5x \
    --enable-xtinyproxy \
    --enable-filter \
    --enable-tunnel \
    --enable-upstream \
    --enable-transparent-proxy \
    --with-config=%{_sysconfdir}/tinyproxy \
    --with-stathost=localhost \
    --program-prefix=""

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/tinyproxy
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

%makeinstall bindir=%{buildroot}%{_sbindir}

cp -a doc/tinyproxy.conf %{buildroot}%{_sysconfdir}/tinyproxy/tinyproxy.conf
/bin/touch %{buildroot}%{_sysconfdir}/tinyproxy/filter

install -m0755 tinyproxy.init %{buildroot}%{_initrddir}/tinyproxy

/bin/echo "FLAGS=\" -c /etc/tinyproxy/tinyproxy.conf\"" > %{buildroot}%{_sysconfdir}/sysconfig/tinyproxy

%post
%_post_service tinyproxy

%preun
%_preun_service tinyproxy

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc doc/{HTTP_ERROR_CODES,RFC_INFO,report.sh,tinyproxy.conf,filter-howto.txt}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%attr(0755,root,root) %{_sbindir}/tinyproxy
%attr(0755,root,root) %{_initrddir}/tinyproxy
%config(noreplace) %{_sysconfdir}/sysconfig/tinyproxy
%dir %{_sysconfdir}/tinyproxy
%config(noreplace) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%config(noreplace) %{_sysconfdir}/tinyproxy/filter
%{_mandir}/man8/tinyproxy.8*
%{_datadir}/tinyproxy


%changelog
* Wed Nov 19 2008 Caio Begotti <caio1982@mandriva.org> 0:1.6.4-2mdv2009.0
+ Revision: 304532
- transparent proxy support is necessary to make kpcontrol works correctly, and distros like ubuntu and debian have this on by default anyway (so it's probably safe for us too)

* Sat Sep 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.6.4-1mdv2009.0
+ Revision: 282035
- 1.6.4
- spec file cleanup

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.6.3-6mdv2009.0
+ Revision: 254610
- rebuild

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.6.3-4mdv2008.1
+ Revision: 171232
- add a virtal provides of webproxy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-3mdv2008.0
+ Revision: 24020
- use %%mkrel
- add LSB support to initscript
- remove PreReq and use Requires() instead
- Import tinyproxy



* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 1.6.3-2mdk
- Fix build

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Dec 03 2003 Florin <florin@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.0a-1mdk
- 1.6.0a
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- add unpackaged files

* Wed Nov 20 2002 Florin <florin@mandrakesoft.com> 1.5.2-0.rc1.1mdk
- 1.5.2rc1
- add the --program-prefix="" configure option
- bzip2 the patch
- add the filter file/directory

* Fri Oct 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Wed Dec 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.3-1mdk
- First spec
